<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>CreateMesssageBaseHandler</title>
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

  </head>
  <body>
    <div>

      <!-- Name Title -->

      <h1>CreateMesssageBaseHandler</h1>

      <!-- Type and Stereotype -->

      <section style="margin-top: .5em;">
        <span class="alert alert-info">
          <span class="node-icon staruml-icon icon-UMLClass"></span>
          UMLClass
        </span>
        
      </section>

      <!-- Path -->

      <section style="margin-top: 10px">
        
        
        
          
          <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='d43b2d079547a3cb156de2e693562de2.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CreateMesssageBaseHandler</a></span>
        
      </section>

      <!-- Diagram -->

      

      <!-- Description -->

      
      <section>
        <h3>Description</h3>
        <div>
          
            <span class="label label-info">none</span>
          
        </div>
      </section>
      

      <!-- Specification -->

      

      <!-- Directed Relationship -->

      

      <!-- Undirected Relationship -->

      

      <!-- Classifier -->

      
        
        


        
        
<section class="element-list">
    <h3>Specialized Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='89a8e224cce93fec7bae6e1b4f0678dd.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CheckingMessage</a></li>
        
        <li><a href='a85bf5d3201aa6c153ab7bf3563e902f.html'><span class='node-icon staruml-icon icon-UMLClass'></span>IndexingMessage</a></li>
        
        <li><a href='bc7895c031356353f0f04f61c0826d85.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendMessage</a></li>
        
    </ul>
</section>



        
        
<section class="element-list">
    <h3>Interfaces</h3>
    <ul class="nav nav-list">
        
        <li><a href='bfa31cfb2fbc3b4657988f9466783647.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>CreateMessageHandler</a></li>
        
    </ul>
</section>



        
        


        
        

      

      <!-- Interface -->

      

      <!-- Component -->

      

      <!-- Node -->

      

      <!-- Actor -->

      

      <!-- Use Case -->

      

      <!-- Template Parameters -->

      

      <!-- Literals -->

      

      <!-- Attributes -->

      
      <section>
        <h3>Attributes</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Type</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="2bf2852f55ba5cf2613f9821f4e077bc.html">nextHandler</a></td>
            <td><a href='bfa31cfb2fbc3b4657988f9466783647.html'>CreateMessageHandler</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Operations -->

      

      <!-- Receptions -->

      

      <!-- Extension Points -->

      

      <!-- Parameters -->

      

      <!-- Diagrams -->

      
      

      <!-- Behavior -->

      

      <!-- Action -->

      

      <!-- Interaction -->

      

      <!-- CombinedFragment -->

      

      <!-- Activity -->

      

      <!-- State Machine -->

      

      <!-- State Machine -->

      

      <!-- State -->

      

      <!-- Vertex -->

      

      <!-- Transition -->

      

      <!-- Data Model (ERD) -->

      

      <!-- Columns (ERD) -->

      

      <!-- Related Entities (ERD) -->

      

      <!-- Data Flows (DFD) -->

      

      <!-- Flows (Flowchart) -->

      

      <!-- Properties -->

      <section>
        <h3>Properties</h3>
        
        <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>CreateMesssageBaseHandler</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>true</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

      </section>

      <!-- Tags -->

      

      <!-- Constraints, Dependencies, Dependants -->

      
        
        


        
        
<section class="element-list">
    <h3>Dependencies</h3>
    <ul class="nav nav-list">
        
        <li><a href='bfa31cfb2fbc3b4657988f9466783647.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>CreateMessageHandler</a></li>
        
    </ul>
</section>



        
        

      

      <!-- Relationships -->

      
      
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='7633a5ab2a5dbd596574a3263f440935.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CreateMessageHandler—CreateMesssageBaseHandler)</a></li>
        
        <li><a href='b3a37b001b7aa5aa1b48d8cdca80c674.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(CreateMesssageBaseHandler→CreateMessageHandler)</a></li>
        
        <li><a href='def6b2e2a8eb42c5faa41abd6fa8ae70.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(CheckingMessage→CreateMesssageBaseHandler)</a></li>
        
        <li><a href='ac8b7484764aa0778ad7ac415c8c0fea.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(IndexingMessage→CreateMesssageBaseHandler)</a></li>
        
        <li><a href='dbff278611337879d086b85d3f69b043.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendMessage→CreateMesssageBaseHandler)</a></li>
        
    </ul>
</section>



      <!-- Owned Elements -->

      
      
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='b3a37b001b7aa5aa1b48d8cdca80c674.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(CreateMesssageBaseHandler→CreateMessageHandler)</a></li>
        
    </ul>
</section>



    </div>
  </body>
</html>
